%begin
  %integer j
  %integer value=16_61345678
  %byteintegerarray b(1:4)
  %integer i

  %integerfn a
%label lp
    i = addr(b)
    j = addr(value)
    *move.l i,a0
    *move.l j,a1
    *move.l #3,d0
lp:    *move.b (a1)+,(a0)+
    *dbra d0,lp
    *move.l j,d0
  %end

  write(a,12)
newline
  printsymbol( b(i) ) %for i=1,1,4
newline
%endofprogram
